-- MySQL

-- Set environment settings
SET STORAGE_ENGINE = InnoDB;
SET FOREIGN_KEY_CHECKS = 1;

-- Create an empty database named 'ScuolaSci'
DROP DATABASE IF EXISTS ScuolaSci;
CREATE DATABASE ScuolaSci;

-- Use database 
USE ScuolaSci;

-- Create tables

CREATE TABLE Maestro (
	CodFisc CHAR(20),
	Nome VARCHAR(50) NOT NULL,
	Cognome VARCHAR(50) NOT NULL,
	Specialita VARCHAR(50) NOT NULL,
	DataNascita DATE NOT NULL,
	Email VARCHAR(50) NOT NULL,
	Telefono VARCHAR(20) NULL,
	OreLez SMALLINT,
	PRIMARY KEY (CodFisc)
);

CREATE TABLE Cliente (
	IdCliente SMALLINT,
	Nome VARCHAR(50) NOT NULL,
	OreLez SMALLINT,
	PRIMARY KEY (IdCliente)
);

CREATE TABLE Lezione (
	CodFisc CHAR(20) NOT NULL,
	Giorno CHAR(15) NOT NULL,
	Ora SMALLINT NOT NULL,
	IdCliente SMALLINT NOT NULL,
	PRIMARY KEY (CodFisc, Giorno, Ora),
	FOREIGN KEY (CodFisc)
		REFERENCES Maestro(CodFisc) 
		ON DELETE CASCADE
		ON UPDATE CASCADE,
	FOREIGN KEY (IdCliente)
		REFERENCES Cliente(IdCliente) 
		ON DELETE CASCADE
		ON UPDATE CASCADE
);

CREATE TABLE Orario (
	Ora SMALLINT,
	PRIMARY KEY (Ora)
);
